Skip to main content
GET
/
api
/
v1
/
topics
/
messages
/
{timestamp}
Get topic message by consensusTimestamp
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/topics/messages/{timestamp}
{
  "chunk_info": {
    "initial_transaction_id": "0.0.10-1234567890-000000321",
    "nonce": 3,
    "number": 1,
    "total": 2,
    "scheduled": true
  },
  "consensus_timestamp": "1234567890.000000001",
  "message": "bWVzc2FnZQ==",
  "payer_account_id": "0.0.10",
  "running_hash": "cnVubmluZ19oYXNo",
  "running_hash_version": 2,
  "sequence_number": 1,
  "topic_id": "0.0.7"
}

Documentation Index

Fetch the complete documentation index at: https://hedera-0c6e0218-feat-hip-1313-high-volume-entity-creation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

timestamp
string
required

The Unix timestamp in seconds.nanoseconds format, the timestamp at which the associated transaction reached consensus. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^\d{1,10}(.\d{1,9})?$

Response

OK

consensus_timestamp
string
required

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

message
string
required
payer_account_id
string | null
required

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

running_hash
string<byte>
required
running_hash_version
integer<int32>
required
sequence_number
integer<int64>
required
topic_id
string | null
required

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

chunk_info
object